# Generated from nat20-1.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name nat20

Name: rubygem-%{gem_name}
Version: 1.0.0
Release: 1%{?dist}
Summary: Adds dice rolling functionality in a tabletop RPG format
License: MIT
URL: http://rubygems.org/gems/nat20
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.7
# BuildRequires: rubygem(rspec) < 4
BuildArch: noarch

%description
Nat20 adds easy to use dice rolling functionality with input in the style of
table top role playing games. It provides functionality for single and
multiple rolls and can return either an array of dice values or total roll.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Tue Sep 14 2021 mockbuilder - 1.0.0-1
- Initial package
